clear all
close all
clc

load evlmesh

gamma=1;
m=100;
U0Handle=@(x1,x2) 1;

n=size(mesh.Coordinates,1);
u0=zeros(n,1);

% initial condition
for i=1:n
    u0(i)=U0Handle(mesh.Coordinates(i,1),mesh.Coordinates(i,2));
end

plot_LFE(u0,mesh)
title('initial temperature distribution')

mufinal=RadTEvl(u0,gamma,mesh,m);

plot_LFE(mufinal,mesh)
title('final temperature distribution at t=1')
